Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1096564 - Entering garbage at the end of a projects url breaks navigation
Entering garbage at the end of a projects url breaks navigation
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks: 1088122
  Show dependency treegraph
 
Reported: 2014-05-11 23:52 EDT by Damian Jansen
Modified: 2014-07-17 02:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 02:39:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-05-11 23:52:04 EDT
Description of problem:
An unusual case.  If the user enters an inaccessible url e.g. projectname/ghsljghdlhsd, or projectname/settings (when not a maintainer), pressing the languages tab and selecting a language shown an empty list of documents.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Go to a project that has a language and document
2. In the url, append /jsdfhsdjkfh and press enter
3. Note the empty area. Press the languages tab
4. Select a language

Actual results:
Empty docs list

Expected results:
Dos should show in list

Additional info:
Comment 1 Alex Eng 2014-05-12 01:30:24 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/440
Comment 2 Damian Jansen 2014-05-12 20:08:34 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.